- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_test_fake_input_request_t Struct Reference
[XCB Test API]

xcb_test_fake_input_request_t More...

`#include <xtest.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
uint8_t | type
uint8_t | detail
uint8_t | pad0 [2]
uint32_t | time
xcb_window_t | root
uint8_t | pad1 [8]
uint16_t | rootX
uint16_t | rootY
uint8_t | pad2 [7]
uint8_t | deviceid

## Detailed Description

xcb_test_fake_input_request_t

## Field Documentation

uint8_t xcb_test_fake_input_request_t::major_opcode

uint8_t xcb_test_fake_input_request_t::minor_opcode

uint16_t xcb_test_fake_input_request_t::length

uint8_t xcb_test_fake_input_request_t::type

uint8_t xcb_test_fake_input_request_t::detail

uint8_t xcb_test_fake_input_request_t::pad0[2]

uint32_t xcb_test_fake_input_request_t::time

xcb_window_t xcb_test_fake_input_request_t::root

uint8_t xcb_test_fake_input_request_t::pad1[8]

uint16_t xcb_test_fake_input_request_t::rootX

uint16_t xcb_test_fake_input_request_t::rootY

uint8_t xcb_test_fake_input_request_t::pad2[7]

uint8_t xcb_test_fake_input_request_t::deviceid

The documentation for this struct was generated from the following file:

- xtest.h